{% assign html_brands_content = '' %}

{% load_banners position: position %}
{% if loaded_banners.size > 0 %}

  {% for banner in loaded_banners %}
    {% if banner.file_url != blank %}

      {% capture html_brands_content %}
        {{ html_brands_content }}

        {% if banner.url != blank %}
          <a href="{{ banner.url }}" class="brand swiper-slide" {% if banner.external %} target="_blank" {% endif %} aria-label="Acessar o conteúdo de {{ banner.title }}">
        {% else %}
          <div class="brand swiper-slide">  
        {% endif %}
        
          <figure class="image -square">
            <img class="lazy" loading="lazy" data-src="{{ banner.file_url | resize: '200x' }}" alt="{{ banner.title }}">
          </figure>

        {% if banner.url != blank %}
          </a>
        {% else %}
          </div>
        {% endif %}

      {% endcapture %}

    {% endif %}
  {% endfor %}

{% endif %}

{% if html_brands_content != blank %}
  <section class="section brands container" data-swiper-brands>
    <div class="swiper">

      <div class="swiper-wrapper">
        {{ html_brands_content }}
      </div>
    </div>

    {% if mobile  %}
      <div class="swiper-pagination"></div>
    {% else %}
      <button type="button" class="swiper-button-prev" aria-label="Slide anterior"></button>
      <button type="button" class="swiper-button-next" aria-label="Próximo slide"></button>
    {% endif %}
    
  </section>
{% endif %}
